Server für 1.6.2 UND 1.6.4 kompatible machen

Dieses Thema im Forum "Server Plugins" wurde erstellt von Jumpy, 20. September 2013.

  1. Jumpy
    Offline

    Jumpy

    Registriert seit:
    14. Februar 2013
    Beiträge:
    43
    Minecraft:
    Jumpy91
    Hallo, liebe Minecraft Community,
    gibt es ein Plugin oder ähnliches, um meinen Server für 1.6.2 und 1.6.4 kompatibel zu machen?
    Einige "billige" PvP -Server schaffen das auch, also müsste es ein plugin sein ;)


    Mit Freundlichen Grüßen
    Jumpy91
     
    #1
  2. iTz_Proph3t
    Online

    iTz_Proph3t Moderator

    Registriert seit:
    24. Oktober 2012
    Beiträge:
    1.117
    Minecraft:
    iTz_Proph3t
    Man kann die serverdatei umschreiben, dass kein Versionscheck gemacht wird.
     
    #2
  3. Jumpy
    Offline

    Jumpy

    Registriert seit:
    14. Februar 2013
    Beiträge:
    43
    Minecraft:
    Jumpy91
    Und wie geht das? ;)
     
    #3
  4. iTz_Proph3t
    Online

    iTz_Proph3t Moderator

    Registriert seit:
    24. Oktober 2012
    Beiträge:
    1.117
    Minecraft:
    iTz_Proph3t
    Google, YouTube, YouP... ok da jetzt nicht, Bukkit, das Internet ist gefüllt mit Infos, die nur darauf warten, dass mal jemand nach ihnen sucht...

    Aber als kleiner ansporn: Wenn es ein paar "billige" PvP Server schaffen, schaffst du das vlt auch ;)
     
    #4
  5. Jumpy
    Offline

    Jumpy

    Registriert seit:
    14. Februar 2013
    Beiträge:
    43
    Minecraft:
    Jumpy91
    etweder ich suche falsch, oder ich finde nichts, ODER ich bin zu blod xD
     
    #5
  6. DypoX
    Offline

    DypoX Entwickler

    Registriert seit:
    30. Mai 2012
    Beiträge:
    43
  7. Jumpy
    Offline

    Jumpy

    Registriert seit:
    14. Februar 2013
    Beiträge:
    43
    Minecraft:
    Jumpy91
    WTF, heißt das, dass ich ganz bukkit neu zusammen basteln muss?
    |-> Kann nicht coden, oä.

    Dachte dass es das ein Plugin oder ähnliches gibt...
     
    #7
  8. kingjan1999
    Offline

    kingjan1999

    Registriert seit:
    24. Oktober 2012
    Beiträge:
    5
    Plugin kannste vergessen, das ist ne simple Craftbukkit Modifikation
     
    #8
  9. Jumpy
    Offline

    Jumpy

    Registriert seit:
    14. Februar 2013
    Beiträge:
    43
    Minecraft:
    Jumpy91
    Wenn sie schon sooo simple ist, kann mir jemand ein YT-Video, oä. schicken...

    Würde vielleicht anderen im Forum helfen ;)
     
    #9
  10. Cabraca
    Offline

    Cabraca

    Du weißt, dass der neue Launcher die möglichkeit hat auf ne frühere Version zu wechseln?
     
    #10
  11. ChunkNorris
    Offline

    ChunkNorris

    Code (Text):
    1.  
    2. git clone https://github.com/SpigotMC/BungeeCord.git
    3. cd BungeeCord
    4. wget [URL]https://gist.github.com/md-5/f0da28c916de6e6b9950/raw/10180991e1b1755f761aa6dec0b97f49df546edb/stuff.patch[/URL]
    5. patch -p1 < stuff.patch
    6. mvn install
    7.  
    Und schon hat man ein BungeeCord, das beide Versionen kann (git, jdk und maven sollten natürlich installiert sein).
     
    #11
  12. MinecraftChaos
    Offline

    MinecraftChaos

    Registriert seit:
    5. Juli 2013
    Beiträge:
    5
    ich würds lassen...

    also den Versionen Check in der Craftbukkit einfach aus zu stellen ist ne heikle Sache, da die Updates nicht immer gleich sind...
    Außerdem kommt es selten vor das sich beide Versionen vertragen. (bei 1.6.2 & 1.6.4 geht es zum Beispiel)

    ich rate da aber von ab, da ich selber einige Probleme damit hatte.
    (der 1.6.2 Minecraft Launcher & die 1.6.4 Craftbukkit haben sich nicht so wirklich vertragen. Deswegen schmieren die "Billigen PvP Server" auch öfter an sowas ab ;) )




    mfg.
     
    #12
  13. McPlayHD
    Offline

    McPlayHD

    Registriert seit:
    13. August 2013
    Beiträge:
    6
    Minecraft:
    McPlayHD
    Ja ich such das auch schon seit längerem und schaff es nie. Würde mich auch echt freuen, wenn da jemand einen Link mit einem Toutorial einfügen würde.
     
    #13
  14. MrOAriO
    Offline

    MrOAriO

    Registriert seit:
    6. Oktober 2012
    Beiträge:
    135
    Minecraft:
    OAriO
    Gibt kein Tutorial, musst Spigot oder Craftbukkit umschreiben. BungeeCord einfach die Protocol Version geändert Fertiggggg.
    Bungee Cord bsp:
    [​IMG]
    Und wenn die Server "Billig" sind wieso hast du es dann nicht ?
     
    #14